datablock fxDTSBrickData (brick1x1fInvisibleData)
{
	brickFile = "./bricks/1x1fBrickInvisible.blb";
	category = "Special";
	subCategory = "Misc";
	uiName = "1x1f Invisible";
	iconName = "Add-Ons/Brick_Invisible/Icons/1x1F";
	alwaysShowWireFrame = true;
};

datablock fxDTSBrickData (brick1x2fInvisibleData)
{
	brickFile = "./bricks/1x2fBrickInvisible.blb";
	category = "Special";
	subCategory = "Misc";
	uiName = "1x2f Invisible";
	iconName = "Add-Ons/Brick_Invisible/Icons/1x2F";
	alwaysShowWireFrame = true;
};

datablock fxDTSBrickData (brick2x2fInvisibleData)
{
	brickFile = "./bricks/2x2fBrickInvisible.blb";
	category = "Special";
	subCategory = "Misc";
	uiName = "2x2f Invisible";
	iconName = "Add-Ons/Brick_Invisible/Icons/2x2F";
	alwaysShowWireFrame = true;
};


//The bricks above with the sun/lightbulb shapes are transparent and Blockland LOVES to be a pain in the ass with transparency
//So I've created three more bricks that have an extremely small shape that isn't visible (because .blb's require there at least to be one shape)
//These bricks will act as the ACTUAL invisible bricks.


datablock fxDTSBrickData (brick1x1fInvisibleEmptyData)
{
	brickFile = "./bricks/1x1fBrickInvisibleEmpty.blb";
	uiName = "1x1f Invisible Empty";
	alwaysShowWireFrame = true;
};

datablock fxDTSBrickData (brick1x2fInvisibleEmptyData)
{
	brickFile = "./bricks/1x2fBrickInvisibleEmpty.blb";
	uiName = "1x2f Invisible Empty";
	alwaysShowWireFrame = true;
};

datablock fxDTSBrickData (brick2x2fInvisibleEmptyData)
{
	brickFile = "./bricks/2x2fBrickInvisibleEmpty.blb";
	uiName = "2x2f Invisible Empty";
	alwaysShowWireFrame = true;
};


//Just functions

function brick1x1fInvisibleData::onPlant(%data, %brick)
{
   %brick.setColliding(0);
   %brick.setRayCasting(0);
   %brick.setdatablock(brick1x1fInvisibleEmptyData.getID());
}

function brick1x2fInvisibleData::onPlant(%data, %brick)
{
   %brick.setColliding(0);
   %brick.setRayCasting(0);
   %brick.setdatablock(brick1x2fInvisibleEmptyData.getID());
}

function brick2x2fInvisibleData::onPlant(%data, %brick)
{
   %brick.setColliding(0);
   %brick.setRayCasting(0);
   %brick.setdatablock(brick2x2fInvisibleEmptyData.getID());
}